Subject: gmake hangs
From: Anqing Xu <[email-masked]>
To: [email-masked]
Date: Mon, 17 Sep 2001 11:49:20 -0400

Hi,

I use the latest cygwin and make hangs everytime in recursive building.
Since the system is big I can't post the whole Makefile, but it's like this

SRC_DIRS = dir1 dir2 dir3 ...

dir? all have java source files

JAVA_SRC = Foo1.java Foo2.java  ....

CLASSES = ${JAVA_SRC:.java=.class}

.SUFFIXES:
%.class: %.java
     @echo $^ >> $(FILES_TO_RECOMPILE)

all: $(SRC_DIRS) compileAll

$(SRC_DIRS):
     @if [ -d $@ ]; then \
          cd $@ && $(MAKE); \
     else \
          echo "Skipping $@"; \
     fi

compileAll: $(CLASSES)
     @if [ -f $(FILES_TO_RECOMPILE) ]; then \
              cat $(FILES_TO_RECOMPILE); \
              $(JAVAC) $(JFLAGS) -classpath $(CLASSPATH) -sourcepath $(SOURCEPATH) -d $(CLASS_DIR) @$(FILES_TO_RECOMPILE); \
        ...
     fi

Make will hang if certain dir has too many java files.  Task manager shows that sh.exe is using 99% CPU.
However, if I manually cd individual dir and make there, it'll pass without any problem. Seems that make
has problem with recursive compiling. Also note that this does not happen for dirs that have small number
of java files.  Really strange.

I notice that there have been several threads that talked about similar problem. Has anybody found a
solution yet?  This is a major headache for us right now.

-Anqing

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/